Theme

Gigs

Update a Gig

POST https://cirro.io/api/v2/gigs/:id

Parameters

ParameterTypeNote
titlestring
descriptionstring
urlstring
start_atnumberUNIX timestamp
end_atnumberUNIX timestamp
invitation_modeenumAvailable options: auto, manual
filter_queryobject (See below)
sort_queryobject (See below)Default: {}
archive_atnumberUNIX timestamp
total_seatsnumber
seats_minnumberDefault: 1
seats_maxnumberDefault: 1
invitation_multipliernumberDefault: 10
invitation_frequencynumberDefault: 5
notification_payloadobjectDefault: {}
invitation_notification_topicstring OR numbereither the name or the id of the topic
epam_optionsobjectDefault: {}

Filter Query Parameters

A MongoDB-style query object (MQL) used to find matching Workers. Dot notation is supported for nested fields (e.g. skills.id).

Supported operators: $in, $nin, $or, $and, $exists, $not, $eq, $ne, $gt, etc.

See the MongoDB query operator docs for usage details.

Sort Query Parameters

A MongoDB-style sort object. Keys are field names, values are 1 (ascending) or -1 (descending). Dot notation is supported for nested fields.

See the MongoDB sort docs for usage details.

Description

Any (set of) attributes may be provided on an update call. Only the provided attributes will be updated. The rest will remain unchanged.

Returns the Gig object if the update was successful. Returns an error if creation failed.

Please see our guide on Gigs to learn more about the parameters and their usage in different scenarios.

Example

1client = CirroIOV2::Client.new(...)
2client.Gig.update(42, title: "My better named Gig")
Previous
Create